| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Static Private Member Functions | Private Attributes | List of all members
IG.Lib.SettingsReaderBase Class Referenceabstract
Inheritance diagram for IG.Lib.SettingsReaderBase:
[legend]
Collaboration diagram for IG.Lib.SettingsReaderBase:
[legend]

## Public Member Functions
abstract string | GetSetting (string settingname)
| Retrieves the specified setting from the current settings source. More...
virtual bool | GetBooleanSetting (string settingname)
| Retrieves the specified boolean setting from the current settings source. More...
virtual long | GetIntegerSetting (string settingname)
| Retrieves the specified integer setting from the current settings source. If the specific setting is not specified in the configuration then 0 is returned. More...
virtual long | GetIntegerSetting (string settingname, long defaultvalue)
| Retrieves the specified integer setting from the current settings source. More...

## Protected Attributes
bool | _expandEnv = true

## Properties
object | Lock`[get]`
| ILockable.Lock, gets a public lock for the current object. More...
virtual bool | ExpandEnvironmentVariables`[get, set]`
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Static Private Member Functions
static ISettingsRreader | FromAppConfig ()

## Private Attributes
object | lockobj = new object()

## Member Function Documentation

abstract string IG.Lib.SettingsReaderBase.GetSetting | ( | string | settingname | ) |
| pure virtual

Retrieves the specified setting from the current settings source.

Parameters

  settingname | Setting name.

Implemented in IG.Lib.SettingsReaderAppConfig.

virtual bool IG.Lib.SettingsReaderBase.GetBooleanSetting | ( | string | settingname | ) |
| inline virtual

Retrieves the specified boolean setting from the current settings source.

Parameters

  settingname | Setting name.

References IG.Lib.UtilStr.ToBoolean().

virtual long IG.Lib.SettingsReaderBase.GetIntegerSetting | ( | string | settingname | ) |
| inline virtual

Retrieves the specified integer setting from the current settings source. If the specific setting is not specified in the configuration then 0 is returned.

Parameters

  settingname | Setting name.

References IG.Lib.UtilStr.ToInt().

virtual long IG.Lib.SettingsReaderBase.GetIntegerSetting | ( | string | settingname,
|  | long | defaultvalue
| ) |  |
| inline virtual

Retrieves the specified integer setting from the current settings source.

Parameters

  settingname | Setting name.
  defaultvalue | Value returned in the case that the correspondig setting is not defined.

References IG.Lib.UtilStr.ToInt().

static ISettingsRreader IG.Lib.SettingsReaderBase.FromAppConfig | ( |  | ) |
| inline static private

## Member Data Documentation

object IG.Lib.SettingsReaderBase.lockobj = new object()
| private

bool IG.Lib.SettingsReaderBase._expandEnv = true
| protected

## Property Documentation

object IG.Lib.SettingsReaderBase.Lock
| get

ILockable.Lock, gets a public lock for the current object.

virtual bool IG.Lib.SettingsReaderBase.ExpandEnvironmentVariables
| get set

The documentation for this class was generated from the following file:

- igbase/application/SettingsRreader.cs